* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
  }
  


  :root {
    --primary-color: rgb(13 148 136);
    --secondary-color: rgb(202 138 4);
    --white-color: #ffffff;
    --black-color: #000000;
    --bg-gray: rgb(31 41 55);
    --brand-color: #A52C2B;
    --light-brand-color: #fef2f2;
    --light-bg-color: #f5f5f5;
  }

  body {
    background-color: var(--light-bg-color);
  }
  
  .btn-primary {
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
  }
  
  .btn-secondary {

   background-color: #A52C2B !important;
    border-color: var(--brand-color) !important;

  }

  .login-page .btn-primary:hover {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
  }

  .login-page .btn-secondary:hover {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
  }

  .btn-brand {
    background-color: var(--brand-color);
    color: var(--white-color);
  }
  .btn-brand:hover {
    background-color: #b52525;
    color: var(--white-color);
  }
  button.btn-brand {
    text-transform: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 500;
  }
  button.btn-brand:hover {
    background-color: #b52525;
    color: var(--white-color);
  }
  .header {
    padding: 1rem 2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    background: white;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  }
  
  .back-link {
    padding: 1rem 2rem;
    color: #666;
    text-decoration: none;
    display: inline-block;
  }
  
  .back-link:hover {
    color: #333;
  }
  
  .sidebar {
    width: 250px;
    background: white;
    border-radius: 8px;
    padding: 1rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    height: fit-content;
  }
  
  .sidebar-menu {
    list-style: none;
  }
  
  /* .sidebar-menu button {
    width: 100%;
    text-align: left;
    padding: 0.75rem 1rem;
    border: none;
    border-radius: 6px;
    background: none;
    color: #666;
    cursor: pointer;
    font-size: 0.95rem;
    margin-bottom: 0.25rem;
  } */
  
  .sidebar-menu button:hover:not(.active) {
    background-color: #f5f5f5;
  }
  
  .sidebar-menu button.active {
    background-color: #fef2f2;
    color: #dc2626;
    font-weight: 500;
  }

  .header-brand {
    background-color: rgb(153 27 27);
  }
  .lc_submission {
    background-color: var(--bg-gray);
  }

  .logo-img {
    height: 60px;;
  }
  .logo span {
    font-size: 18px;
    font-weight: 600;
    color: var(--black-color)
  }
  .main-content {
    flex: 1;
    background: white;
    border-radius: 8px;
    padding: 2rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    display: none;
  }
  
  .main-content.active {
    display: block;
  }
  
  .page-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 2rem;
  }
  
  .form-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
  }
  
  .form-group {
    margin-bottom: 1rem;
  }
  
  .form-label {
    display: block;
    font-size: 0.875rem;
    font-weight: 500;
    color: #374151;
    margin-bottom: 0.5rem;
  }
  
  .required::after {
    content: "*";
    color: #dc2626;
    margin-left: 2px;
  }

  
  .form-control:focus {
    outline: none;
    border-color: var(--primary-color);
    box-shadow: 0 0 0 1px var(--primary-color);
  }
  
  .select-control {
    appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke='%236B7280'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M19 9l-7 7-7-7'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 0.5rem center;
    background-size: 1.5em 1.5em;
    padding-right: 2.5rem;
  }
  
  .country-select {
    position: relative;
  }
  
  .country-select .form-control {
    padding-left: 2rem;
  }
  
  .save-btn {
    margin-top: 2rem;
    background: #dc2626;
    color: white;
    border: none;
    padding: 0.5rem 1.5rem;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 500;
  }
  
  .save-btn:hover {
    background: #b91c1c;
  }
  
  button#trade-finance-button {
    padding: 10px 20px;
    background-color: var(--brand-color);
    color: white;
    border: none;
    cursor: pointer;
    font-size: 13px;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
    transition: background-color 0.3s ease;
  }

  button#trade-finance-buttondbs {
    padding: 10px 20px;
    background-color: var(--brand-color);
    color: white;
    border: none;
    cursor: pointer;
    font-size: 13px;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
    transition: background-color 0.3s ease;
  }
  
  button:hover {
    background-color: #d32f2f;
  }
  
  .search-section {
    margin-bottom: 2rem;
  }
  
  .button-group {
    margin-top: 1rem;
    display: flex;
    gap: 0.5rem;
  }
  
  .btn-secondary {
    background: white;
    border: 1px solid #d1d5db;
    padding: 0.5rem 1.5rem;
    border-radius: 6px;
    cursor: pointer;
  }
  
  table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 1.5rem;
  }
  
  th,
  td {
    border: 1px solid #e5e7eb;
    padding: 0.75rem;
    text-align: left;
  }
  
  th {
    background-color: #f9fafb;
    font-weight: 500;
  }
  
  td {
    color: #374151;
  }
  
  footer {
    /* position: absolute;
    width: 100%;
    bottom: 0; */
    background-color: var(--brand-color);
  }
  
  .balance-section {
    display: flex;
    /* justify-content: space-between; */
    gap: 20px;
    margin-bottom: 20px;
  }
  
  .balance-box,
  .account-info,
  .transactions-box {
    border: 2px solid #ccc;
    border-radius: 10px;
    padding: 20px;
  }
  
  .balance-box,
  .account-info {
    /* height: 410px; */
  }
  
  .balance {
    font-size: 2.5rem;
    margin: 20px 0;
  }
  
  .payment-btn {
    padding: 10px 20px;
    background-color: #e74c3c;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
  }
  
  .payment-btn:hover {
    background-color: #c0392b;
  }
  
  .transactions-section {
    margin-bottom: 20px;
  }
  
  .transactions-box {
    height: 365px; 
    background-color: #f9f9f9;
  }


  .info-row {
    display: flex;
    padding: 5px 0;
    gap: 15px;
  }


  .info-row p {
    width: 40%;
    margin: 0;
    word-wrap: break-word;
  }
  
  .login-page {
    height: 95vh;
    margin: auto;
    align-items: center;
    display: grid;
    place-items: center;
    background-color: var(--white-color);
  }

  .text-primary {
    color: var(--primary-color) !important;
  }
  .text-secondary {
    color: var(--secondary-color) !important;
  }
  .login-page a {
    text-decoration: none;
  }

  .nav-wrapper {
    width: 100%;
    /* max-width: 1200px; */
    margin: 20px auto;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    max-height: 1000px;
}
.nav-wrapper .d-flex {
    gap: 20px;
}
.nav-link-wrapper, .nav-content-wrapper {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
}
.nav-link-wrapper .nav-link {
    text-align: left;
    width: 100%;
    padding: 0.75rem 1rem;
    border: none;
    border-radius: 6px;
    background: none;
    color: #666;
    cursor: pointer;
    font-size: 0.95rem;
    margin-bottom: 0.25rem;
    text-transform: none;
    font-weight: 500;
}
.nav-link-wrapper .nav-link:hover {
    background-color: var(--light-bg-color);
}
.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    background-color: var(--light-brand-color);
    color: var(--brand-color);
}

.logout {
    text-decoration: none;
}

.d-flex.align-items-center a {
  text-decoration: none;
}
.d-flex.align-items-center a:hover {
  text-decoration: underline;
}

a.text-danger.d-flex.align-items-center {
  text-decoration: none;
}

.currency-div {
  line-height: 30px;
  font-size: 30px;
  font-weight: 600;
}

.balance  {
  font-size: 1.5rem;
  margin: 10px 0;
  font-weight: bold;
}
.balance .amount {
  white-space: nowrap;
  /* padding-block: 30px;; */
  font-size: 19px;
}
.balance-box h2 {
  font-size: 1.6rem;
}

.bg-for-A52C2B, .bg-for-A52C2B.form-control:focus  {
  background-color: var(--brand-color);
  color: var(--white-color);
  box-shadow: 0 0 0 1px var(--brand-color);
}


.bg-for-A52C2B option {
  background-color: var(--white-color);
  color: var(--black-color);
}